
clear all
set more off
set scheme lean1
graph set eps fontface Times


***   directories
local dir = "...\replication"


***   The real value of the minimum wage   ***
forvalues t = 1979/2012 {
	use "`dir'\data\raw\morg_cleaned_`t'.dta", clear
	* all
	* sample selection
	keep if age>=18 & age<=64
	drop if hr_alloc==1 | (hourlyworker==0 & aernwk_flag==1)
	drop if (year>=1974&year<=1988&class==3) | (year>=1989&year<=1993&(class==5|class==6)) | (year>=1994&(class==6|class==7))
	replace hr_wage=. if hr_wage<=0
	keep state year hr_wage wgt_hrs gdp
	collapse (mean) year gdp (rawsum) sumwt=wgt_hrs (p50) w50=hr_wage, by(state)
	save `dir'\data\w50_`t'.dta, replace
}
use "`dir'\data\w50_1979.dta", clear
forvalues t = 1980/2012 {
	qui append using "`dir'\data\w50_`t'.dta"
}
sort year state
forvalues t = 1979/2012 {
	erase "`dir'\data\w50_`t'.dta"
}
qui merge m:1 year state using "`dir'\data\mw.dta"
lab var year "year"
g mw_n  = minw
g mw_r  = minw*gdp
g mw_50 = minw*gdp/exp(w50)

collapse (mean) mw_n mw_r mw_50 [aw=sumwt], by(year)
twoway line mw_r year, aspectratio(.8) scale(1.7) ytitle("Minimum wage (1$)") xtitle("") ylabel(5.5(.5)8, grid glp(dot)) xlabel(1980(10)2010, grid glp(dot)) ymtick(##2) xmtick(##10) graphregion(margin(-15 -10 0 0))
graph export "`dir'\figure\figure3.eps", as(eps) preview(off) replace
graph export "`dir'\figure\figure3.jpg", as(jpg) quality(90) replace
