
clear all
set more off


***   directories
local dir = "...\replication"


***   =50 if imputed, =0 if not imputed
local thre = 50

***   regressors: censoring probabilities
local var_prob "s_13 x_0_9 x_10_19 x_20_29 x_30 g"


**  Adjust the probability of censoring after wage imputation
forvalues t = 1979/2012 {

	forvalues s = 1/50 {
	
		use "`dir'\data\sample_`t'.dta", clear
		
		* replace with imputed data
		if `thre'!=0 {
			drop lnw wgt dc1 dc2
			qui merge 1:m id using "`dir'\data\est\step0_`t'_`s'.dta"
			drop _merge
		}
		
		preserve
		collapse (count) N=dc1, by(year sid `var_prob')
		save "`dir'\data\prob\pr_`t'_`s'.dta", replace
		
		restore
		collapse pr_c1=dc1 pr_c2=dc2 [pw=wgt], by(year sid `var_prob')
		qui merge 1:1 year sid `var_prob' using "`dir'\data\prob\pr_`t'_`s'.dta"
		drop _merge
		qui compress
		save "`dir'\data\prob\pr_`t'_`s'.dta", replace
			
	}
		
}
