
clear all
set more off


***   directories
local dir = "...\replication"


***   =50 if imputed, =0 if not imputed
local thre = 50


**  Sample for estmation using R
forvalues t = 1979/2012 {

	forvalues s = 1/50 {
	
		use "`dir'\data\sample_`t'.dta", clear
		keep if sid==`s'
		if `thre'!=0 {
			drop lnw wgt
			qui merge 1:m id using "`dir'\data\est\step0_`t'_`s'.dta"
			drop _merge
			qui merge 1:1 id obs using "`dir'\data\est\step1_sample_`t'_`s'.dta"
			drop _merge
			keep set_fin_q4-set_fin_q97 wgt lnw s s2 x x2 g year sid
			order set_fin_q4-set_fin_q97 wgt lnw s s2 x x2 g year sid
			export delimited using "`dir'\data\boot\boot50\rsample_`t'_`s'.csv", replace
		}
		if `thre'==0 {
			keep if lnw!=.
			qui merge 1:1 id using "`dir'\data\est\est0\step1_sample_`t'_`s'.dta"
			drop _merge
			keep set_fin_q4-set_fin_q97 wgt lnw s s2 x x2 g year sid
			order set_fin_q4-set_fin_q97 wgt lnw s s2 x x2 g year sid
			export delimited using "`dir'\data\boot\boot0\rsample_`t'_`s'.csv", replace
		}
		
	}

}

* Data on minimum wage
if `thre'!=0 {
	use "`dir'\data\est\step1_all.dta", clear
	keep year sid lnmw sumwt
	sort year sid
	export delimited using "`dir'\data\boot\boot50\mw.csv", replace
}
if `thre'==0 {
	use "`dir'\data\est\est0\step1_all.dta", clear
	keep year sid lnmw sumwt
	sort year sid
	export delimited using "`dir'\data\boot\boot0\mw.csv", replace
}
